/* ----------------------------------------------------------------------
*  HGM Extended Help Documentation                                      *
*                                                                       *
* Copyright - 2021 - Stuart Aitken - www.harbour-guide.com              *
*                                                                       *
* Username at www.hmgforum.com - Zimbo                                  *
*                                                                       *
* ----------------------------------------------------------------------*/

#include "hmg.ch"

/* -------------------------------------------------------------------- */

FUNCTION Main()

DEFINE WINDOW       Win_1           ;
    ROW             10              ;
    COL             10              ;
    WIDTH           500             ;
    HEIGHT          300             ;
    TITLE           "The ALPHABLENDTRANSPARENT Property" ;
    ICON            "HMG Guide.ico" ;
    WINDOWTYPE      MAIN            ;
    FONTNAME        "Arial"         ;
    FONTSIZE        10              ;

    DEFINE BUTTON   btnBlendOn
        ROW         30
        COL         40
        WIDTH       100
        HEIGHT      30
        ACTION      ChangeAlpha(.F.)
        CAPTION     "Blend ON"
        FONTNAME    "Arial"
        FONTSIZE    8
        TOOLTIP     ""
    END BUTTON

    DEFINE BUTTON   btnBlendOff
        ROW         80
        COL         40
        WIDTH       100
        HEIGHT      30
        ACTION      ChangeAlpha(.T.)
        CAPTION     "Blend OFF"
        FONTNAME    "Arial"
        FONTSIZE    8
        TOOLTIP     ""
    END BUTTON

    DEFINE LABEL    lbl1
        ROW         130
        COL         40
        WIDTH       400
        HEIGHT      30
        VALUE       "Click the buttons! "
        TRANSPARENT .T.
    END LABEL

END WINDOW

ACTIVATE WINDOW Win_1

RETURN nil

/* -------------------------------------------------------------------- */

FUNCTION ChangeAlpha(lTrans)

IF lTrans
        Win_1.ALPHABLENDTRANSPARENT := 255
        Win_1.lbl1.VALUE := "ALPHABLENDTRANSPARENT Property is set to: 255"
    ELSE
        Win_1.ALPHABLENDTRANSPARENT := 125
        Win_1.lbl1.VALUE := "ALPHABLENDTRANSPARENT Property is set to: 125"
ENDIF

RETURN nil

/* -------------------------------------------------------------------- */
