/* ----------------------------------------------------------------------
*  HGM Extended Help Documentation                                      *
*                                                                       *
* Copyright - 2021 - Stuart Aitken - www.harbour-guide.com              *
*                                                                       *
* Username at www.hmgforum.com - Zimbo                                  *
*                                                                       *
* ----------------------------------------------------------------------*/

#include "hmg.ch"

/* -------------------------------------------------------------------- */
FUNCTION Main()

DEFINE WINDOW       Win_1           ;
    ROW             10              ;
    COL             10              ;
    WIDTH           500             ;
    HEIGHT          300             ;
    VIRTUALHEIGHT   400             ;
    VIRTUALWIDTH    600             ;
    TITLE           "The CLIENTAREAHEIGHT and CLIENTAREAWIDTH Properties" ;
    ICON            "HMG Guide.ico" ;
    WINDOWTYPE      MAIN            ;
    FONTNAME        "Arial"         ;
    FONTSIZE        10              ;

    DEFINE LABEL    lbl1
        ROW         30
        COL         40
        WIDTH       400
        HEIGHT      30
        VALUE       "This WINDOW was defined with a HEIGHT property " + ;
                    "set to: " + ALLTRIM(NTOC(Win_1.HEIGHT))
        TRANSPARENT .T.
    END LABEL

    DEFINE LABEL    lbl2
        ROW         60
        COL         40
        WIDTH       400
        HEIGHT      30
        VALUE       "The CLIENTAREAHEIGHT value is: " + ;
                    ALLTRIM(NTOC(Win_1.CLIENTAREAHEIGHT))
        TRANSPARENT .T.
    END LABEL
    
    DEFINE LABEL    lbl3
        ROW         100
        COL         40
        WIDTH       400
        HEIGHT      20
        VALUE       "This WINDOW was defined with a WIDTH property " + ;
                    "set to: " + ALLTRIM(NTOC(Win_1.WIDTH))
        FONTNAME    "Arial"
        TRANSPARENT .T.
    END LABEL

    DEFINE LABEL    lbl4
        ROW         130
        COL         40
        WIDTH       400
        HEIGHT      30
        VALUE       "The CLIENTAREAWIDTH value is: " + ;
                    ALLTRIM(NTOC(Win_1.CLIENTAREAWIDTH))
        TRANSPARENT .T.
    END LABEL
    
END WINDOW

ACTIVATE WINDOW Win_1

RETURN nil

/* -------------------------------------------------------------------- */
