#include "hmg.ch"

FUNCTION Main()

DEFINE WINDOW       Win_1           ;
    ROW             10              ;
    COL             10              ;
    WIDTH           500             ;
    HEIGHT          300             ;
    TITLE           "The NOSYSMENU Property" ;
    ICON            "HMG Guide.ico" ;
    WINDOWTYPE      MAIN            ;
    FONTNAME        "Arial"         ;
    FONTSIZE        10              ;

    DEFINE BUTTON   btnNoSysmenuOn
        ROW         30
        COL         40
        WIDTH       100
        HEIGHT      30
        ACTION      ToggleSysmenu(.T.)
        CAPTION     "No Sysmenu ON"
        FONTNAME    "Arial"
        FONTSIZE    8
        TOOLTIP     ""
    END BUTTON

    DEFINE BUTTON   btnNoSysmenuOff
        ROW         80
        COL         40
        WIDTH       100
        HEIGHT      30
        ACTION      ToggleSysmenu(.F.)
        CAPTION     "No Sysmenu OFF"
        FONTNAME    "Arial"
        FONTSIZE    8
        TOOLTIP     ""
    END BUTTON

    DEFINE LABEL    lbl1
        ROW         130
        COL         40
        WIDTH       400
        HEIGHT      30
        VALUE       "The NOSYSMENU Property for this Window is set to: " + IF(Win_1.NOSYSMENU, "False", "True")  // Investigating odd behaviour of value query
        TRANSPARENT .T.
    END LABEL

END WINDOW

ACTIVATE WINDOW Win_1

RETURN nil

/* -------------------------------------------------------------------- */

FUNCTION ToggleSysmenu(lVal)

IF lVal
        Win_1.NOSYSMENU  := .T.
        Win_1.lbl1.VALUE := "The NOSYSMENU Property for this Window is set to: True"
    ELSE
        Win_1.NOSYSMENU  := .F.
        Win_1.lbl1.VALUE := "The NOSYSMENU Property for this Window is set to: False"
ENDIF

RETURN nil

/* -------------------------------------------------------------------- */