/* ----------------------------------------------------------------------
*  HGM Extended Help Documentation                                      *
*                                                                       *
* Copyright - 2021 - Stuart Aitken - www.harbour-guide.com              *
*                                                                       *
* Username at www.hmgforum.com - Zimbo                                  *
*                                                                       *
* ----------------------------------------------------------------------*/

#include "hmg.ch"

/* -------------------------------------------------------------------- */

FUNCTION Main()

DEFINE WINDOW       Win_1           ;
    ROW             10              ;
    COL             10              ;
    WIDTH           500             ;
    HEIGHT          300             ;
    TITLE           "The TOPMOST Property - Window 1" ;
    ICON            "HMG Guide.ico" ;
    WINDOWTYPE      MAIN            ;
    FONTNAME        "Arial"         ;
    FONTSIZE        12              ;

    DEFINE LABEL    lbl1
        ROW         30
        COL         10
        WIDTH       400
        HEIGHT      20
        VALUE       "This WINDOW has the TOPMOST property disabled"
        FONTNAME    "Arial"
        FONTSIZE    12
        TRANSPARENT .T.
    END LABEL
    
END WINDOW

DEFINE WINDOW       Win_2           ;
    ROW             220             ;
    COL             50              ;
    WIDTH           500             ;
    HEIGHT          300             ;
    TITLE           "The TOPMOST Property - Window 2" ;
    ICON            "HMG Guide.ico" ;
    WINDOWTYPE      CHILD           ;
    FONTNAME        "Arial"         ;
    FONTSIZE        12              ;
    BACKCOLOR       WHITE           ;
    TOPMOST         .T.             ;
    ONINIT          THISWINDOW.SHOW ;

    DEFINE LABEL    lbl1
        ROW         30
        COL         10
        WIDTH       400
        HEIGHT      20
        VALUE       "This WINDOW has the TOPMOST property enabled"
        FONTNAME    "Arial"
        FONTSIZE    12
        TRANSPARENT .T.
    END LABEL

    DEFINE LABEL    lbl2
        ROW         60
        COL         10
        VALUE       "It will remain on top of all other Windows " + ;
                    "even when it is not in focus"
        FONTNAME    "Arial"
        FONTSIZE    12
        TRANSPARENT .T.
        AUTOSIZE    .T.
    END LABEL
    
END WINDOW

ACTIVATE WINDOW ALL

RETURN nil

/* -------------------------------------------------------------------- */