/* ----------------------------------------------------------------------
*  HGM Extended Help Documentation                                      *
*                                                                       *
* Copyright - 2021 - Stuart Aitken - www.harbour-guide.com              *
*                                                                       *
* Username at www.hmgforum.com - Zimbo                                  *
*                                                                       *
* ----------------------------------------------------------------------*/

#include "hmg.ch"

/* -------------------------------------------------------------------- */

FUNCTION Main()

DEFINE WINDOW       Win_1           ;
    ROW             10              ;
    COL             10              ;
    WIDTH           500             ;
    HEIGHT          300             ;
    TITLE           "The FLASH WINDOW Command" ;
    ICON            "HMG Guide.ico" ;
    WINDOWTYPE      MAIN            ;
    FONTNAME        "Arial"         ;
    FONTSIZE        8               ;

    DEFINE BUTTON btnSetCol1
        ROW         30
        COL         50
        WIDTH       125
        HEIGHT      25
        ACTION      WinFlash(1)
        CAPTION     "Flash CAPTION"
        FONTNAME    "Arial"
        TRANSPARENT .T.
        TOOLTIP     "FLASH WINDOW Win_1 CAPTION COUNT 5 INTERVAL 400"
    END BUTTON

    DEFINE BUTTON btnSetCol2
        ROW         60
        COL         50
        WIDTH       125
        HEIGHT      25
        ACTION      WinFlash(2)
        CAPTION     "Flash TASKBAR"
        TRANSPARENT .T.
        TOOLTIP     "FLASH WINDOW Win_1 TASKBAR COUNT 5 INTERVAL 400"
    END BUTTON

    DEFINE BUTTON btnSetCol3
        ROW         90
        COL         50
        WIDTH       125
        HEIGHT      25
        ACTION      WinFlash(3)
        CAPTION     "Flash ALL"
        TRANSPARENT .T.
        TOOLTIP     "FLASH WINDOW Win_1 ALL COUNT 5 INTERVAL 400"
    END BUTTON 

END WINDOW

ACTIVATE WINDOW Win_1

RETURN nil

/* -------------------------------------------------------------------- */

FUNCTION WinFlash(nWhich)                  

DO CASE
    CASE nWhich == 1
        FLASH WINDOW Win_1 CAPTION COUNT 5 INTERVAL 400
    CASE nWhich == 2
        FLASH WINDOW Win_1 TASKBAR COUNT 5 INTERVAL 400
    CASE nWhich == 3
        FLASH WINDOW Win_1 ALL     COUNT 5 INTERVAL 400
ENDCASE

RETURN nil

/* -------------------------------------------------------------------- */
