/* ----------------------------------------------------------------------
*  HGM Extended Help Documentation                                      *
*                                                                       *
* Copyright - 2021 - Stuart Aitken - www.harbour-guide.com              *
*                                                                       *
* Username at www.hmgforum.com - Zimbo                                  *
*                                                                       *
* ----------------------------------------------------------------------*/

#include "hmg.ch"

/* -------------------------------------------------------------------- */

FUNCTION Main()

DEFINE WINDOW       Win_Main        ;
    ROW             10              ;
    COL             10              ;
    WIDTH           500             ;
    HEIGHT          300             ;
    TITLE           "A SPLITBOX Control" ;
    ICON            "HMG Guide.ico" ;
    WINDOWTYPE      MAIN            ;
    FONTNAME        "Arial"         ;
    FONTSIZE        10              ;
    
    DEFINE SPLITBOX                 ;
        PARENT      Win_Main        ;
        ;//HORIZONTAL  .T.             ;
        ;//BOTTOM      .F.             ;

        DEFINE LISTBOX  LstBox_1
            WIDTH       125
            HEIGHT      200
            ITEMS       {"Item 1", "Item 2", "Item 3", "Item 4", "Item 5"}
            VALUE       3
            TOOLTIP     "ListBox 1"
        END LISTBOX

        DEFINE LISTBOX  LstBox_2
            WIDTH       200
            HEIGHT      200
            ITEMS       {"Item A", "Item B", "Item C", "Item D", "Item E"}
            VALUE       1
            TOOLTIP     "ListBox 2"
        END LISTBOX
    
    END SPLITBOX

    DEFINE LABEL        Lbl_1
        ROW	            225
        COL	            10
        VALUE           "This LABEL Control is outside the SPLITBOX Control"
        AUTOSIZE        .T.
    END LABEL

END WINDOW    // Win_Main

ACTIVATE WINDOW Win_Main

RETURN nil

/* -------------------------------------------------------------------- */