/* ----------------------------------------------------------------------
*  HGM Extended Help Documentation                                      *
*                                                                       *
* Copyright - 2021 - Stuart Aitken - www.harbour-guide.com              *
*                                                                       *
* Username at www.hmgforum.com - Zimbo                                  *
*                                                                       *
* ----------------------------------------------------------------------*/

#include "hmg.ch"

/* -------------------------------------------------------------------- */

FUNCTION Main()

DEFINE WINDOW           Win_Main            ;
    ROW                 10                  ;
    COL                 10                  ;
    WIDTH               500                 ;
    HEIGHT              300                 ;
    VIRTUALWIDTH        750                 ;
    VIRTUALHEIGHT       500                 ;
    TITLE               "MAIN Window"       ;
    ICON                "HMG Guide.ico"     ;
    WINDOWTYPE          MAIN                ;
    FONTNAME            "Arial"             ;
    FONTSIZE            12                  ;
    BACKCOLOR           {255 ,255 , 240}    ;

    DEFINE LABEL        lbl1
        ROW             10
        COL             10
        WIDTH           225
        HEIGHT          20
        VALUE           "This is the MAIN Window"
        TRANSPARENT     .T.
    END LABEL

    DEFINE LABEL        lbl2
        ROW             50
        COL             10
        WIDTH           225
        HEIGHT          20
        VALUE           ""
        TRANSPARENT     .T.
    END LABEL
        
END WINDOW    // Win_Main

DEFINE WINDOW           Win_Child           ;
    ROW                 10                  ;
    COL                 500                 ;
    WIDTH               500                 ;
    HEIGHT              300                 ;
    VIRTUALWIDTH        750                 ;
    VIRTUALHEIGHT       500                 ;
    TITLE               "CHILD Window"      ;
    ICON                "HMG Guide.ico"     ;
    WINDOWTYPE          CHILD               ;
    FONTNAME            "Arial"             ;
    FONTSIZE            12                  ;
    BACKCOLOR           {250, 250, 250}     ;
    MAXBUTTON           .T.                 ;
    MINBUTTON           .T.                 ;
    SIZABLE             .T.                 ;
    SYSMENU             .T.                 ;
    TITLEBAR            .T.                 ;
    CURSOR              nil                 ;
    ;//TOPMOST             .F.                 ;
    VISIBLE             .T.                 ;
    AUTORELEASE         .T.                 ;
    ONINIT              nil                 ;
    ONRELEASE           nil                 ;
    ONINTERACTIVECLOSE  nil                 ;
    ONMOUSECLICK        nil                 ;
    ONMOUSEDRAG         nil                 ;
    ONMOUSEMOVE         nil                 ;
    ONSIZE              nil                 ;
    ONMAXIMIZE          nil                 ;
    ONMINIMIZE          nil                 ;
    ONPAINT             nil                 ;
    ONGOTFOCUS          UpdLabels(.T.)      ;
    ONLOSTFOCUS         UpdLabels(.F.)      ;
    ONSCROLLUP          nil                 ;
    ONSCROLLDOWN        nil                 ;
    ONSCROLLLEFT        nil                 ;
    ONSCROLLRIGHT       nil                 ;
    ONHSCROLLBOX        nil                 ;
    ONVSCROLLBOX        nil                 ;
    //HELPBUTTON           .F.

    DEFINE LABEL        lbl1
        ROW             10
        COL             10
        WIDTH           225
        HEIGHT          20
        VALUE           "This is the CHILD Window"
        TRANSPARENT     .T.
    END LABEL

    DEFINE LABEL        lbl2
        ROW             50
        COL             10
        WIDTH           225
        HEIGHT          20
        VALUE           ""
        TRANSPARENT     .T.
    END LABEL
    
END WINDOW    // Win_Child

// Must make the Child window visible if ACTIVATE WINDOW ALL is used
Win_Child.SHOW
ACTIVATE WINDOW ALL

RETURN nil

/* -------------------------------------------------------------------- */

FUNCTION UpdLabels(lGotLost)

IF lGotLost
        Win_Main.lbl2.VALUE := "The CHILD Window has focus"
        Win_Child.lbl2.VALUE := "This Window has focus"
    ELSE
        Win_Main.lbl2.VALUE := "This Window has focus"
        Win_Child.lbl2.VALUE := "The MAIN Window has focus"
ENDIF

RETURN nil

/* -------------------------------------------------------------------- */