/* ----------------------------------------------------------------------
*  HGM Extended Help Documentation                                      *
*                                                                       *
* Copyright - 2021 - Stuart Aitken - www.harbour-guide.com              *
*                                                                       *
* Username at www.hmgforum.com - Zimbo                                  *
*                                                                       *
* ----------------------------------------------------------------------*/

#include "hmg.ch"

/* -------------------------------------------------------------------- */

FUNCTION Main()

DEFINE WINDOW           Win_Main            ;
    ROW                 10                  ;
    COL                 10                  ;
    WIDTH               500                 ;
    HEIGHT              300                 ;
    VIRTUALWIDTH        750                 ;
    VIRTUALHEIGHT       500                 ;
    TITLE               "MAIN Window"       ;
    ICON                "HMG Guide.ico"     ;
    WINDOWTYPE          MAIN                ;
    FONTNAME            "Arial"             ;
    FONTSIZE            12                  ;
    BACKCOLOR           {255 ,255 , 240}    ;

    DEFINE LABEL        lbl1
        ROW             10
        COL             10
        WIDTH           225
        HEIGHT          20
        VALUE           "This is the MAIN Window"
        TRANSPARENT     .T.
    END LABEL

    DEFINE LABEL        lbl2
        ROW             50
        COL             10
        WIDTH           225
        HEIGHT          20
        VALUE           ""
        TRANSPARENT     .T.
    END LABEL
        
END WINDOW    // Win_Main

DEFINE WINDOW           Win_Standard        ;
    ROW                 10                  ;
    COL                 500                 ;
    WIDTH               500                 ;
    HEIGHT              300                 ;
    VIRTUAL WIDTH       750                 ;
    VIRTUAL HEIGHT      500                 ;
    TITLE               "STANDARD Window"   ;
    ICON                "HMG Guide.ico"     ;
    WINDOWTYPE          STANDARD            ;
    FONTNAME            "Arial"             ;
    FONTSIZE            12                  ;
    BACKCOLOR           {250, 250, 250}     ;
    MAXBUTTON          .T.                  ;  
    MINBUTTON          .T.                  ;
    SIZABLE            .T.                  ; 
    SYSMENU            .T.                  ;     
    TITLEBAR           .T.                  ;     
    CURSOR             nil                  ; 
    ;//TOPMOST                                 ;
    VISIBLE            .T.                  ;
    AUTORELEASE        .T.                  ;
    ON INIT             nil                 ;
    ON RELEASE          nil                 ;
    ON INTERACTIVECLOSE nil                 ;
    ON MOUSECLICK       nil                 ;
    ON MOUSEDRAG        nil                 ;
    ON MOUSEMOVE        nil                 ;
    ON SIZE             nil                 ;
    ON MAXIMIZE         nil                 ;
    ON MINIMIZE         nil                 ;
    ON PAINT            nil                 ;
    ON GOTFOCUS         UpdLabels(.T.)      ;
    ON LOSTFOCUS        UpdLabels(.F.)      ;
    ON SCROLLUP         nil                 ;
    ON SCROLLDOWN       nil                 ;
    ON SCROLLLEFT       nil                 ;
    ON SCROLLRIGHT      nil                 ;
    ON HSCROLLBOX       nil                 ;
    ON VSCROLLBOX       nil                 ;
    //HELPBUTTON           .F.

    DEFINE LABEL        lbl1
        ROW             10
        COL             10
        WIDTH           225
        HEIGHT          20
        VALUE           "This is the STANDARD Window"
        TRANSPARENT     .T.
    END LABEL

    DEFINE LABEL        lbl2
        ROW             50
        COL             10
        WIDTH           225
        HEIGHT          20
        VALUE           ""
        TRANSPARENT     .T.
    END LABEL
    
END WINDOW    // Win_Standard

// Must make the Standard window visible if ACTIVATE WINDOW ALL is used
Win_Standard.SHOW
ACTIVATE WINDOW ALL

RETURN nil

/* -------------------------------------------------------------------- */

FUNCTION UpdLabels(lGotLost)

IF lGotLost
        Win_Main.lbl2.VALUE := "The STANDARD Window has focus"
        Win_Standard.lbl2.VALUE := "This Window has focus"
    ELSE
        Win_Main.lbl2.VALUE := "This Window has focus"
        Win_Standard.lbl2.VALUE := "The MAIN Window has focus"
ENDIF

RETURN nil

/* -------------------------------------------------------------------- */